import 'package:flutter/material.dart';

class EncabezadoPais extends StatefulWidget {
  final String paisCode;
  final String paisName;

  const EncabezadoPais({
    Key? key,
    required this.paisCode,
    required this.paisName,
  }) : super(key: key);

  @override
  State<EncabezadoPais> createState() => _EncabezadoPaisState();
}

class _EncabezadoPaisState extends State<EncabezadoPais> {
  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        const SizedBox(width: 32.0),
        Image.asset(
          "logo.png",
          width: 64.0,
        ),
        Expanded(
          child: Container(
            padding: const EdgeInsets.fromLTRB(208.0, 0.0, 16.0, 0.0),
            child: Column(
              children: [
                Image.asset(
                  "banderas/${widget.paisCode}.png",
                  height: 40.0,
                ),
                Text(
                  "S&P ${widget.paisName}",
                  textAlign: TextAlign.center,
                  style: const TextStyle(
                    fontFamily: "Helvetica Neue Black Cond",
                    fontSize: 20.0,
                  ),
                ),
              ],
            ),
          ),
        ),
        Image.asset(
          "logo_completo.png",
          width: 256.0,
        ),
        const SizedBox(width: 32.0),
      ],
    );
  }
}
